#ifndef DATABASE_H
#define DATABASE_H

#include <stdio.h>

#include "hotpage.h"
#include "type.h"
#include "display.h"

#define HOT_FILE_KEY "hotpage"
#define HOT_FILE_KEY_FORMAT "%7s"
#define HOT_FILE_KEY_SIZE 10L
#define HOT_FILE_FORMAT "%9d%20s%20s%20s%10s%10s%15s%15s%1d%40s%40s%20s%20s%20s%50s%50s%50s%50s%50s"
#define HOT_FILE_REC_SIZE 510L
#define MODEM_SETTING_FILE "/.modem"
#define MODEM_SETTING_FILE_FORMAT "%20s%256s%2d"

char current_file[256];
char modem_setting_file[256];
Person_information current_info;
Class_field *class_head,*matched_p;


extern int file_open(char *path,File_open_type type);
extern void class_listup(void);
extern void entry_listup(char *class);
extern int entry_update(Person_information *update_info,Update_type type);
extern int write_info(Person_information *info);
extern int read_info(int number,Person_information *info);
extern int delete_info(int number);
extern int set_current(int number);
extern int search_name(unsigned value, char firstname[22], char lastname[22]);
extern int search_phone(unsigned value,char countrycode[12],char areacode[12],char phone[17]);
extern int search_address(unsigned value,char address[42],char city[42],char state[22],char zip[22],char country[22]);
extern void open_modem_setting_file(void);
extern void update_modem_setting_file(void);
extern char *generated_num(void);

#endif
